Bug 744906 - Software Update (gnome-packagekit) does not show package size or package metadata information.
Summary: Software Update (gnome-packagekit) does not show package size or package meta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-packagekit
Version: 6.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Richard Hughes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 782183 840699
TreeView+ depends on / blocked
 
Reported: 2011-10-10 19:45 UTC by Rodrigo Trujillo
Modified: 2018-11-30 22:34 UTC (History)
4 users (show)

Fixed In Version: gnome-packagekit-2.28.3-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:47:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of the "Loading..." window. (42.63 KB, image/png)
2011-10-10 19:45 UTC, Rodrigo Trujillo
no flags Details
Try harder to find the correct update item in the update viewer Patch (1.59 KB, patch)
2012-02-16 11:58 UTC, Grant Williamson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0280 normal SHIPPED_LIVE gnome-packagekit bug fix update 2013-02-20 20:37:02 UTC

Description Rodrigo Trujillo 2011-10-10 19:45:51 UTC
Created attachment 527308 [details]
screenshot of the "Loading..." window.

Description of problem:

Software Update does not show the x86_64 package information when you are running a RHEL6.1 64 bits and have the same package in both architectures to be updated. You can see the 32 bits package information but when select the 64 bits, it shows only "Loading..." in the information box.


Version-Release number of selected component (if applicable):

gnome-packagekit-2.28.3-3.el6.x86_64
PackageKit-gtk-module-0.5.8-19.el6.x86_64
PackageKit-gtk-module-0.5.8-19.el6.i686
PackageKit-glib-0.5.8-19.el6.x86_64
PackageKit-gstreamer-plugin-0.5.8-19.el6.x86_64
PackageKit-yum-plugin-0.5.8-19.el6.x86_64
PackageKit-device-rebind-0.5.8-19.el6.x86_64
PackageKit-yum-0.5.8-19.el6.x86_64
PackageKit-0.5.8-19.el6.x86_64


How reproducible:


Steps to Reproduce:
1. Ensure you have 32 and 64 versions update of a given package
2. Open Software Update
3. Select the 64 bits version of the package to be updated
  
Actual results:

Software Updates does not show the information and size. It shows "Loading..."


Expected results:

The applications should show the packageinformation


Additional info:

See screenshot

Comment 2 RHEL Product and Program Management 2011-10-10 20:08:54 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Richard Hughes 2012-02-02 17:21:03 UTC
(In reply to comment #0)
> 1. Ensure you have 32 and 64 versions update of a given package
> 2. Open Software Update
> 3. Select the 64 bits version of the package to be updated

I can reproduce this. Working on a fix now.

Comment 4 Richard Hughes 2012-02-02 17:38:13 UTC
I've fixed this upstream with the following fix:

commit 2e8cfeeec2f81a32f324ce4ed3b31bfc59c07d2f
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Feb 2 17:30:53 2012 +0000

    Try harder to find the correct update item in the update viewer
    
    Try to find the exact package ID before falling back to the name in the update
    viewer. This ensures we find both versions of a package when we have installed
    multarch versions.

Comment 6 Suzanne Yeghiayan 2012-02-14 23:17:11 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 7 John Walicki 2012-02-15 02:45:10 UTC
I have contacted our support representative to reconsider this decision.

Comment 8 Grant Williamson 2012-02-16 11:57:32 UTC
We will test this against the latest el6 srpm.
Added patch manually,

Comment 9 Grant Williamson 2012-02-16 11:58:42 UTC
Created attachment 562476 [details]
Try harder to find the correct update item in the update viewer Patch

Spun packages locally to test. Tagging with .0.

gnome-packagekit-2.28.3-3.el6.0

Comment 11 Grant Williamson 2012-02-21 15:32:18 UTC
Our Test team, tested this patch, fixed the issue we are seeing.

Comment 13 Suzanne Yeghiayan 2012-05-14 19:01:54 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 16 Richard Hughes 2012-08-02 13:37:03 UTC
Committed into rhel-6.4.

Comment 17 RHEL Product and Program Management 2012-08-02 13:50:33 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 21 errata-xmlrpc 2013-02-21 07:47:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0280.html


Note You need to log in before you can comment on or make changes to this bug.